Mojolicious-Plugin-OpenAPI 2.14 Pass

Tested by Anonymous, 3. Jun 2019,

  1. Program output
  2. Tester comments
  3. Prerequisites
  4. Environment and other context
  5. More reports...

This distribution has been tested as part of the CPAN Testers project, supporting the Perl programming language. See http://wiki.cpantesters.org/ for more information or email questions to cpan-testers-discuss@perl.org

-- Dear Jan Henning Thorsen,

This is a computer-generated report for Mojolicious-Plugin-OpenAPI-2.14 on perl 5.26.1, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN. Congratulations! All tests were successful

Program output

Output from '/usr/bin/make test':

PERL_DL_NONLAZY=1 "/home/linuxbrew/.linuxbrew/Cellar/perl/5.26.1_1/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00-basic.t .......................... ok
t/authenticate.t ...................... ok
t/autorender.t ........................ ok
t/bundle.t ............................ ok
t/coerce.t ............................ ok
t/collectionformat.t .................. ok
t/correct-order-of-paths.t ............ ok
$c->openapi->cors_simple() has been replaced by $c->openapi->cors_exchange() at /home/ubuntu/.cpan/build/Mojolicious-Plugin-OpenAPI-2.14-0/blib/lib/Mojolicious/Plugin/OpenAPI/Cors.pm line 85.
$c->openapi->cors_simple() has been replaced by $c->openapi->cors_exchange() at /home/ubuntu/.cpan/build/Mojolicious-Plugin-OpenAPI-2.14-0/blib/lib/Mojolicious/Plugin/OpenAPI/Cors.pm line 85.
$c->openapi->cors_simple() has been replaced by $c->openapi->cors_exchange() at /home/ubuntu/.cpan/build/Mojolicious-Plugin-OpenAPI-2.14-0/blib/lib/Mojolicious/Plugin/OpenAPI/Cors.pm line 85.
t/cors.t .............................. ok
t/custom-format.t ..................... ok
t/default-value.t ..................... ok
t/discriminator.t ..................... ok
t/empty-string.t ...................... ok
t/error-messages.t .................... ok
t/example-array-of-hashes.t ........... ok
t/headers.t ........................... ok
t/invalid-json.t ...................... ok
t/invalid-x-mojo-name.t ............... ok
t/issue-24-booleans-in-yaml-schema.t .. ok
t/issue-48-refs.t ..................... ok
t/load-and-validate-spec.t ............ ok
[2019-06-03 18:02:19.73101] [9883] [debug] GET "/api" (5651ba8b)
[2019-06-03 18:02:19.73165] [9883] [debug] Routing to a callback
[2019-06-03 18:02:19.73215] [9883] [debug] 200 OK (0.00114s, 877.193/s)
[2019-06-03 18:02:19.83120] [9883] [debug] GET "/api" (05469b62)
[2019-06-03 18:02:19.83156] [9883] [debug] Routing to a callback
[2019-06-03 18:02:19.83202] [9883] [debug] 200 OK (0.000796s, 1256.281/s)
t/load-from-app.t ..................... ok
t/path-parameters.t ................... ok
t/recursion.t ......................... ok
t/ref-param.t ......................... ok
t/register.t .......................... ok
t/renderer.t .......................... ok
t/reply-spec.t ........................ ok
t/route-names.t ....................... ok
t/security-disabled.t ................. ok
t/security.t .......................... ok
t/set-request.t ....................... ok
t/spec.t .............................. ok
t/swagger2.t .......................... ok
t/tutorial.t .......................... ok
t/v2-file.t ........................... ok
Format rule for 'unknown' is missing at /home/ubuntu/.cpan/build/JSON-Validator-3.11-0/blib/lib/JSON/Validator.pm line 747.
t/v2-formats.t ........................ ok
t/v2-readonly.t ....................... ok
t/v3-body.t ........................... ok
t/v3-nullable.t ....................... ok
t/v3.t ................................ ok
t/validate.t .......................... ok
t/x-mojo-placeholder.t ................ ok
# YAML::XS 0.78
t/yaml.t .............................. ok
All tests successful.

Test Summary Report
-------------------
t/v2-formats.t                      (Wstat: 0 Tests: 30 Failed: 0)
  TODO passed:   15, 21-22
Files=43, Tests=626, 35 wallclock secs ( 0.28 usr  0.07 sys + 30.13 cusr  3.77 csys = 34.25 CPU)
Result: PASS

Prerequisites

Requires

Build requires

Configure requires

Tester comments

this report is from an automated smoke testing program and was not reviewed by a human for accuracy

Environment and other context

Environment variables:

    AUTOMATED_TESTING = 1
    LANG = en_US.UTF-8
    LD_LIBRARY_PATH = :/usr/local/lib/
    PATH = /home/ubuntu/miniconda3/bin:/mnt/galaxy/tools/bin:/usr/lib/postgresql/9.5/bin:/home/ubuntu/bin:/home/ubuntu/.local/bin:/home/ubuntu/miniconda3/bin:/home/linuxbrew/.linuxbrew/bin:/home/linuxbrew/.linuxbrew/sbin:/mnt/galaxy/tools/bin:/usr/lib/postgresql/9.5/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/lib/jvm/java-8-oracle/bin:/usr/lib/jvm/java-8-oracle/db/bin:/usr/lib/jvm/java-8-oracle/jre/bin
    PERL5LIB = /home/ubuntu/.cpan/build/JSON-Validator-3.11-0/blib/arch:/home/ubuntu/.cpan/build/JSON-Validator-3.11-0/blib/lib:/home/ubuntu/.cpan/build/Mojolicious-8.17-1/blib/arch:/home/ubuntu/.cpan/build/Mojolicious-8.17-1/blib/lib:/home/ubuntu/.cpan/build/File-ShareDir-Install-0.13-7/blib/arch:/home/ubuntu/.cpan/build/File-ShareDir-Install-0.13-7/blib/lib
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 8479
    PERL5_CPAN_IS_RUNNING = 8479
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 12544,8479
    PERL_CR_SMOKER_CURRENT = Yancy-1.027
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    PERL_USE_UNSAFE_INC = 1
    SHELL = /bin/bash
    TERM = screen.xterm-256color

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/linuxbrew/.linuxbrew/Cellar/perl/5.26.1_1/bin/perl
    $UID/$EUID = 1000 / 1000
    $GID = 1000 4 20 24 25 27 29 30 44 46 109 110 1000
    $EGID = 1000 4 20 24 25 27 29 30 44 46 109 110 1000

Perl module toolchain versions installed:

    Module              Have      
    ------------------- ----------
    CPAN                2.26      
    CPAN::Meta          2.150010  
    Cwd                 3.67      
    ExtUtils::CBuilder  0.280225  
    ExtUtils::Command   7.24      
    ExtUtils::Install   2.04      
    ExtUtils::MakeMaker 7.24      
    ExtUtils::Manifest  1.70      
    ExtUtils::ParseXS   3.34      
    File::Spec          3.67      
    JSON                4.02      
    JSON::PP            2.27400_02
    Module::Build       0.4224    
    Module::Signature   n/a       
    Parse::CPAN::Meta   2.150010  
    Test::Harness       3.38      
    Test::More          1.302164  
    YAML                n/a       
    YAML::Syck          n/a       
    version             0.9917    


--

Summary of my perl5 (revision 5 version 26 subversion 1) configuration:
   
  Platform:
    osname=linux
    osvers=4.4.0-116-generic
    archname=x86_64-linux-thread-multi
    uname='linux 5a4dbe849688 4.4.0-116-generic #140~14.04.1-ubuntu smp fri feb 16 09:25:20 utc 2018 x86_64 x86_64 x86_64 gnulinux '
    config_args='-des -Dprefix=/home/linuxbrew/.linuxbrew/Cellar/perl/5.26.1_1 -Dprivlib=/home/linuxbrew/.linuxbrew/Cellar/perl/5.26.1_1/lib/perl5/5.26.1 -Dsitelib=/home/linuxbrew/.linuxbrew/Cellar/perl/5.26.1_1/lib/perl5/site_perl/5.26.1 -Dotherlibdirs=/home/linuxbrew/.linuxbrew/lib/perl5/site_perl/5.26.1 -Dperlpath=/home/linuxbrew/.linuxbrew/opt/perl/bin/perl -Dstartperl=#!/home/linuxbrew/.linuxbrew/opt/perl/bin/perl -Dman1dir=/home/linuxbrew/.linuxbrew/Cellar/perl/5.26.1_1/share/man/man1 -Dman3dir=/home/linuxbrew/.linuxbrew/Cellar/perl/5.26.1_1/share/man/man3 -Duseshrplib -Duselargefiles -Dusethreads -Dlocincpth=/home/linuxbrew/.linuxbrew/include'
    hint=recommended
    useposix=true
    d_sigaction=define
    useithreads=define
    usemultiplicity=define
    use64bitint=define
    use64bitall=define
    uselongdouble=undef
    usemymalloc=n
    default_inc_excludes_dot=define
    bincompat5005=undef
  Compiler:
    cc='cc'
    ccflags ='-D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/home/linuxbrew/.linuxbrew/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
    optimize='-O2'
    cppflags='-D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/home/linuxbrew/.linuxbrew/include'
    ccversion=''
    gccversion='5.4.0 20160609'
    gccosandvers=''
    intsize=4
    longsize=8
    ptrsize=8
    doublesize=8
    byteorder=12345678
    doublekind=3
    d_longlong=define
    longlongsize=8
    d_longdbl=define
    longdblsize=16
    longdblkind=3
    ivtype='long'
    ivsize=8
    nvtype='double'
    nvsize=8
    Off_t='off_t'
    lseeksize=8
    alignbytes=8
    prototype=define
  Linker and Libraries:
    ld='cc'
    ldflags =' -fstack-protector-strong -L/usr/local/lib'
    libpth=/home/linuxbrew/.linuxbrew/lib /usr/local/lib /usr/lib/gcc/x86_64-linux-gnu/5/include-fixed /usr/include/x86_64-linux-gnu /usr/lib /lib/x86_64-linux-gnu /lib/../lib /usr/lib/x86_64-linux-gnu /usr/lib/../lib /lib
    libs=-lpthread -lnsl -lgdbm -ldb -ldl -lm -lcrypt -lutil -lc -lgdbm_compat
    perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    libc=libc-2.23.so
    so=so
    useshrplib=true
    libperl=libperl.so
    gnulibc_version='2.23'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs
    dlext=so
    d_dlsymun=undef
    ccdlflags='-Wl,-E -Wl,-rpath,/home/linuxbrew/.linuxbrew/Cellar/perl/5.26.1_1/lib/perl5/5.26.1/x86_64-linux-thread-multi/CORE'
    cccdlflags='-fPIC'
    lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector-strong'


Characteristics of this binary (from libperl): 
  Compile-time options:
    HAS_TIMES
    MULTIPLICITY
    PERLIO_LAYERS
    PERL_COPY_ON_WRITE
    PERL_DONT_CREATE_GVSV
    PERL_IMPLICIT_CONTEXT
    PERL_MALLOC_WRAP
    PERL_OP_PARENT
    PERL_PRESERVE_IVUV
    USE_64_BIT_ALL
    USE_64_BIT_INT
    USE_ITHREADS
    USE_LARGE_FILES
    USE_LOCALE
    USE_LOCALE_COLLATE
    USE_LOCALE_CTYPE
    USE_LOCALE_NUMERIC
    USE_LOCALE_TIME
    USE_PERLIO
    USE_PERL_ATOF
    USE_REENTRANT_API
  Built under linux
  Compiled at Mar  1 2018 18:10:09
  %ENV:
    PERL5LIB="/home/ubuntu/.cpan/build/JSON-Validator-3.11-0/blib/arch:/home/ubuntu/.cpan/build/JSON-Validator-3.11-0/blib/lib:/home/ubuntu/.cpan/build/Mojolicious-8.17-1/blib/arch:/home/ubuntu/.cpan/build/Mojolicious-8.17-1/blib/lib:/home/ubuntu/.cpan/build/File-ShareDir-Install-0.13-7/blib/arch:/home/ubuntu/.cpan/build/File-ShareDir-Install-0.13-7/blib/lib"
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="8479"
    PERL5_CPAN_IS_RUNNING="8479"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="12544,8479"
    PERL_CR_SMOKER_CURRENT="Yancy-1.027"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /home/ubuntu/.cpan/build/JSON-Validator-3.11-0/blib/arch
    /home/ubuntu/.cpan/build/JSON-Validator-3.11-0/blib/lib
    /home/ubuntu/.cpan/build/Mojolicious-8.17-1/blib/arch
    /home/ubuntu/.cpan/build/Mojolicious-8.17-1/blib/lib
    /home/ubuntu/.cpan/build/File-ShareDir-Install-0.13-7/blib/arch
    /home/ubuntu/.cpan/build/File-ShareDir-Install-0.13-7/blib/lib
    /home/linuxbrew/.linuxbrew/Cellar/perl/5.26.1_1/lib/perl5/site_perl/5.26.1/x86_64-linux-thread-multi
    /home/linuxbrew/.linuxbrew/Cellar/perl/5.26.1_1/lib/perl5/site_perl/5.26.1
    /home/linuxbrew/.linuxbrew/Cellar/perl/5.26.1_1/lib/perl5/5.26.1/x86_64-linux-thread-multi
    /home/linuxbrew/.linuxbrew/Cellar/perl/5.26.1_1/lib/perl5/5.26.1
    /home/linuxbrew/.linuxbrew/lib/perl5/site_perl/5.26.1/x86_64-linux-thread-multi
    /home/linuxbrew/.linuxbrew/lib/perl5/site_perl/5.26.1